FairMQProgOptions Class Reference

## Public Member Functions

int | ParseAll (const std::vector< std::string > &cmdLineArgs, bool allowUnregistered)
int | ParseAll (const int argc, char const *const *argv, bool allowUnregistered=true)
FairMQChannelMap | GetFairMQMap () const
std::unordered_map< std::string, int > | GetChannelInfo () const
template<typename T >
int | SetValue (const std::string &key, T val)
template<typename T >
void | Subscribe (const std::string &subscriber, std::function< void(typename fair::mq::PropertyChange::KeyType, T)> func)
template<typename T >
void | Unsubscribe (const std::string &subscriber)
void | SubscribeAsString (const std::string &subscriber, std::function< void(typename fair::mq::PropertyChange::KeyType, std::string)> func)
void | UnsubscribeAsString (const std::string &subscriber)
std::vector< std::string > | GetPropertyKeys () const
template<typename T >
T | GetValue (const std::string &key) const
std::string | GetStringValue (const std::string &key)
int | Count (const std::string &key) const
template<typename T >
T | ConvertTo (const std::string &strValue)
int | AddToCmdLineOptions (const boost::program_options::options_description optDesc, bool visible=true)
| Add option descriptions.
boost::program_options::options_description & | GetCmdLineOptions ()
const boost::program_options::variables_map & | GetVarMap () const
int | PrintOptions ()
int | PrintOptionsRaw ()
void | AddChannel (const std::string &channelName, const FairMQChannel &channel)

The documentation for this class was generated from the following files:

- fairmq/options/FairMQProgOptions.h
- fairmq/options/FairMQProgOptions.cxx

privacy